# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# C:\Users\circleci\project\packaging\torchvision, last modified Thu Mar 25 03:54:57 2021
# ------------------------------------------------

package:
  name: torchvision
  version: 0.9.1
source:
  path: C:/Users/circleci/project
build:
  features: null
  script: python setup.py install --single-version-externally-managed --record=record.txt
  script_env:
    - BUILD_VERSION
    - CUDA_HOME
    - FORCE_CUDA
    - NVCC_FLAGS
  string: py37_cu102
requirements:
  build:
    - jpeg 9b hb83a4c4_2
    - libpng 1.6.37 h2a8f88b_0
    - vc 14.2 h21ff451_1
    - vs2015_runtime 14.27.29016 h5e58377_2
    - vs2019_win-64 15.4.27004.2010 h4f2c42c_0
    - zlib 1.2.11 h62dcd97_4
  host:
    - blas 1.0 mkl
    - ca-certificates 2021.1.19 haa95532_1
    - certifi 2020.12.5 py37haa95532_0
    - cudatoolkit 10.2.89 h74a9793_1
    - intel-openmp 2020.2 254
    - libuv 1.40.0 he774522_0
    - mkl 2020.2 256
    - mkl-service 2.3.0 py37h196d8e1_0
    - mkl_fft 1.3.0 py37h46781fe_0
    - mkl_random 1.1.1 py37h47e9c7a_0
    - ninja 1.10.2 py37h6d14046_0
    - numpy 1.19.2 py37hadc3359_0
    - numpy-base 1.19.2 py37ha3acd2a_0
    - openssl 1.1.1j h2bbff1b_0
    - pip 21.0.1 py37haa95532_0
    - python 3.7.10 h6244533_0
    - pytorch 1.8.1 py3.7_cuda10.2_cudnn7_0
    - setuptools 52.0.0 py37haa95532_0
    - six 1.15.0 py37haa95532_0
    - sqlite 3.35.2 h2bbff1b_0
    - typing_extensions 3.7.4.3 pyha847dfd_0
    - vc 14.2 h21ff451_1
    - vs2015_runtime 14.27.29016 h5e58377_2
    - wheel 0.36.2 pyhd3eb1b0_0
    - wincertstore 0.2 py37_0
  run:
    - cudatoolkit >=10.2,<10.3
    - defaults::numpy >=1.11
    - jpeg <=9b
    - libpng
    - pillow >=4.1.1
    - python >=3.7,<3.8.0a0
    - pytorch==1.8.1
test:
  imports:
    - torchvision
    - torchvision.datasets
    - torchvision.transforms
  requires:
    - av >=8.0.1
    - ca-certificates
    - jpeg <=9b
    - pytest
    - scipy
  source_files:
    - test
about:
  home: https://github.com/pytorch/vision
  license: BSD
  license_file: LICENSE
  summary: image and video datasets and models for torch deep learning
extra:
  copy_test_source_files: true
  final: true
